package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 28.查询积分销毁结果 GET请求方式
 * @class: PointDestoryResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:42
 */
@Data
public class Nft028PointDestoryResultReq implements Serializable {
    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 任务ID
     */
    private String taskId;
    private static final Nft028PointDestoryResultReq obj = new Nft028PointDestoryResultReq();
    private static final long serialVersionUID = -331775106709995349L;

    public static Nft028PointDestoryResultReq getNew() {
        try {
            return (Nft028PointDestoryResultReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft028PointDestoryResultReq();
        }
    }
}
